Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QMatrix

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QMatrix class reference

### Public Functions

- QRect map ( const QRect & rect ) const
- QRegion mapToRegion ( const QRect & rect ) const

## Member Function Documentation

### QRect QMatrix::map ( const QRect & rect ) const

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Use mapRect() instead.

### QRegion QMatrix::mapToRegion ( const QRect & rect ) const

Returns the transformed rectangle rect.

A rectangle which has been rotated or sheared may result in a non-rectangular region being returned.

Calling this method can be expensive, if rotations or shearing are used. If you just need to know the bounding rectangle of the returned region, use mapRect() which is a lot faster than this function.

See also QMatrix::mapRect().